%define module_version 0.202
%define module_name Search-Query-Dialect-Lucy
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/Dump.pm) perl(ExtUtils/MakeMaker.pm) perl(Lucy.pm) perl(Lucy/Analysis/PolyAnalyzer.pm) perl(Lucy/Index/Indexer.pm) perl(Lucy/Plan/FullTextType.pm) perl(Lucy/Plan/Schema.pm) perl(Lucy/Search/ANDQuery.pm) perl(Lucy/Search/Compiler.pm) perl(Lucy/Search/IndexSearcher.pm) perl(Lucy/Search/Matcher.pm) perl(Lucy/Search/NOTQuery.pm) perl(Lucy/Search/NoMatchQuery.pm) perl(Lucy/Search/ORQuery.pm) perl(Lucy/Search/PhraseQuery.pm) perl(Lucy/Search/Query.pm) perl(Lucy/Search/RangeQuery.pm) perl(Lucy/Search/TermQuery.pm) perl(LucyX/Search/AnyTermQuery.pm) perl(LucyX/Search/NOTWildcardQuery.pm) perl(LucyX/Search/NullTermQuery.pm) perl(LucyX/Search/ProximityQuery.pm) perl(LucyX/Search/WildcardQuery.pm) perl(Moo.pm) perl(Scalar/Util.pm) perl(Search/Query.pm) perl(Search/Query/Parser.pm) perl(Test/More.pm)
BuildRequires: perl(base.pm) perl(namespace/autoclean.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.202
Release: alt1
Summary: Lucy query dialect
Group: Development/Perl
License: perl
URL: https://github.com/karpet/search-query-dialect-lucy-perl

Source0: http://cpan.org.ua/authors/id/K/KA/KARMAN/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
Search::Query::Dialect::Lucy extends the Lucy::QueryParser syntax
to support wildcards, proximity and ranges, in addition to the standard
Search::Query features.


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/S*

%changelog
* Thu Oct 15 2015 Igor Vlasenko <viy@altlinux.ru> 0.202-alt1
- regenerated from template by package builder

* Wed Oct 08 2014 Igor Vlasenko <viy@altlinux.ru> 0.201-alt1
- regenerated from template by package builder

* Tue Apr 22 2014 Igor Vlasenko <viy@altlinux.ru> 0.200-alt1
- initial import by package builder

